<script type="text/x-red" data-help-name="modbus-editor">    
    <p>Modbus TCP/Serial 節點 透過上一個節點觸發 讀取/寫入</p>
    
     <dl class="message-properties">
        <dt>伺服器
            <span class="property-type">modbus</span>
        </dt>
        <dd>            
            選擇或編輯Modbus TCP /serial配置以指定要連接的伺服器。
        </dd>        
    </dl>
    <dl class="message-properties">
        <dt>Unit-Id
            <span class="property-type">integer</span>
        </dt>
        <dd>
            <li>tcp:   0..255</li>
            <li>serial:0..247</li>
        </dd>        
    </dl>
    <dl class="message-properties">
        <dt>Function Code
            <span class="property-type">integer</span>
        </dt>
        <dd>
            <li>FC 1: Read Coil Status</li>
            <li>FC 2: Read Input Status</li>
            <li>FC 3: Read Holding Registers</li>
            <li>FC 4: Read Input Registers</li>
            <li>FC 5: Force Single Coil</li>
            <li>FC 6: Preset Single Register</li>
            <li>FC 15: Force Multiple Coils</li>
            <li>FC 16: Preset Multiple Registers</li>
            <p>
                可從下拉式選單 選擇 function code (FC)1, 2, 3, 4, 5, 6, 15 ,16
                <p>如果選擇 FC 5, <strong>msg.payload</strong>  必須給定一個值(false/true/0/1).</p>
                <p>如果選擇 FC 6, <strong>msg.payload</strong>  必須給定一個值 範圍在 0~65535.</p>
                <p>如果選擇 FC 15, <strong>msg.payload</strong> 必須給定一個透過逗號區隔布林值的陣列 ex. [true, false]</p>
                <p>如果選擇 FC 16, <strong>msg.payload</strong> 必須給定一個透過逗號區隔的範圍在0~65535整數的陣列 ex. [0, 1]</p>                    
            </p>
        </dd>        
    </dl>     
    <dl class="message-properties">
        <dt>地址
            <span class="property-type">integer</span>
        </dt>
        <dd>
            起始讀取/寫入的位置(0:65535).
        </dd>        
    </dl>
    <dl class="message-properties">
        <dt>數量
            <span class="property-type">integer</span>
        </dt>
        <dd>            
            從<strong>地址</strong>開始需要讀取/寫入的數量
        </dd>        
    </dl>
    
</script>